use crate::game::timer::Timer;

mod flags;
pub(super) mod opcodes;

struct StackFrame {
  pc: usize,
  time: Timer,
  values: Vec<Value>,
}

enum Value {
  Int(i32),
  Float(f32),
}

pub struct Vm {
  call_stack: heapless::Vec<StackFrame, 8>,
  current_frame: StackFrame,
}
